Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.olap
Class TabularCubeHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.olap.CubeHandle
                  org.eclipse.birt.report.model.api.olap.TabularCubeHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.ICubeModel, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.ITabularCubeModel

    public class TabularCubeHandle

extends CubeHandle
implements org.eclipse.birt.report.model.elements.interfaces.ITabularCubeModel

Represents a cube.

See Also:
  `Cube`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ITabularCubeModel
`DATA_SET_PROP, DIMENSION_CONDITIONS_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ICubeModel
`ACCESS_CONTROLS_PROP, DEFAULT_MEASURE_GROUP_PROP, DIMENSIONS_PROP, FILTER_PROP, MEASURE_GROUPS_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`TabularCubeHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a handle for the given design and design element.

Method Summary
`DimensionConditionHandle` | `addDimensionCondition(DimensionCondition condition)` Adds a dimension condition to this cube.
`DimensionConditionHandle` | `addDimensionCondition(DimensionCondition condition, int posn)` Adds a dimension condition to the specified position.
`DimensionConditionHandle` | `findDimensionCondition(HierarchyHandle hierarchy)` Finds the dimension condition defined for the given hierarchy element.
`DimensionConditionHandle` | `findDimensionCondition(java.lang.String hierarchyName)` Finds the dimension condition defined for the hierarchy element with the specified name.
`DataSetHandle` | `getDataSet()` Returns the data set of this cube.
`java.util.Iterator` | `joinConditionsIterator()` Gets the iterator of the join conditions.
`void` | `removeDimensionCondition(DimensionCondition condition)` Removes a dimension condition from this cube.
`void` | `removeDimensionCondition(DimensionConditionHandle conditionHandle)`
`void` | `setDataSet(DataSetHandle handle)` Sets the data set of this cube.

Methods inherited from class org.eclipse.birt.report.model.api.olap.CubeHandle
`accessControlsIterator, addFilter, filtersIterator, getDefaultMeasureGroup, getDimension, getMeasure, removeFilter, setDefaultMeasureGroup`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setEncryption, setEventHandlerClass, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNumberProperty, setProperties, setProperty, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabularCubeHandle

    public TabularCubeHandle(org.eclipse.birt.report.model.core.Module module,
                             org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a handle for the given design and design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getDataSet

    public DataSetHandle getDataSet()

  Returns the data set of this cube.

  Returns:
    the handle to the data set

### setDataSet

    public void setDataSet(DataSetHandle handle)
                    throws SemanticException

  Sets the data set of this cube.

  Parameters:
    `handle` - the handle of the data set
  Throws:
    `SemanticException` - if the property is locked, or the data-set is invalid.

### addDimensionCondition

    public DimensionConditionHandle addDimensionCondition(DimensionCondition condition)
                                                   throws SemanticException

  Adds a dimension condition to this cube.

  Parameters:
    `condition` -
  Returns:
    the added dimension condition handle if succeed
  Throws:
    `SemanticException`

### addDimensionCondition

    public DimensionConditionHandle addDimensionCondition(DimensionCondition condition,
                                                          int posn)
                                                   throws SemanticException

  Adds a dimension condition to the specified position.

  Parameters:
    `condition` -
    `posn` -
  Returns:
    the added dimension condition handle if succeed
  Throws:
    `SemanticException`

### joinConditionsIterator

    public java.util.Iterator joinConditionsIterator()

  Gets the iterator of the join conditions. Each one in the iterator is instance of `StructureHandle`.

  Returns:
    iterator of the join conditions in this cube

### removeDimensionCondition

    public void removeDimensionCondition(DimensionCondition condition)
                                  throws SemanticException

  Removes a dimension condition from this cube.

  Parameters:
    `condition` -
  Throws:
    `SemanticException`

### removeDimensionCondition

    public void removeDimensionCondition(DimensionConditionHandle conditionHandle)
                                  throws SemanticException

  Parameters:
    `conditionHandle` -
  Throws:
    `SemanticException`

### findDimensionCondition

    public DimensionConditionHandle findDimensionCondition(java.lang.String hierarchyName)

  Finds the dimension condition defined for the hierarchy element with the specified name.

  Parameters:
    `hierarchyName` -
  Returns:
    the first dimeneison condition handle if found, otherwise null

### findDimensionCondition

    public DimensionConditionHandle findDimensionCondition(HierarchyHandle hierarchy)

  Finds the dimension condition defined for the given hierarchy element.

  Parameters:
    `hierarchy` -
  Returns:
    the first dimeneison condition handle if found, otherwise null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.